Enum Class RequestEncoding
- All Implemented Interfaces:
HasEnumId,Serializable,Comparable<RequestEncoding>,Constable
Request encoding used by a WMTS source when building tile request URLs.
For more details see: WMTS request encoding docs
-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptiongetId()static RequestEncodingReturns the enum constant of this class with the specified name.static RequestEncoding[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
KVP
Key-value pair encoding: request parameters are passed in the URL query string. -
REST
RESTful encoding: request parameters are embedded in the URL path via a template.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getId
-